Skip to main content
POST
/
v2
/
activities
/
add
Add Activity Logs
curl --request POST \
  --url https://api.velt.dev/v2/activities/add \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "organizationId": "<string>",
    "documentId": "<string>",
    "activities": [
      {
        "id": "<string>",
        "featureType": "<string>",
        "actionType": "<string>",
        "actionUser": {},
        "targetEntityId": "<string>",
        "targetSubEntityId": "<string>",
        "changes": {},
        "entityData": "<any>",
        "entityTargetData": "<any>",
        "displayMessageTemplate": "<string>",
        "displayMessageTemplateData": {},
        "actionIcon": "<string>",
        "isActivityResolverUsed": true
      }
    ]
  }
}
'
import requests

url = "https://api.velt.dev/v2/activities/add"

payload = { "data": {
"organizationId": "<string>",
"documentId": "<string>",
"activities": [
{
"id": "<string>",
"featureType": "<string>",
"actionType": "<string>",
"actionUser": {},
"targetEntityId": "<string>",
"targetSubEntityId": "<string>",
"changes": {},
"entityData": "<any>",
"entityTargetData": "<any>",
"displayMessageTemplate": "<string>",
"displayMessageTemplateData": {},
"actionIcon": "<string>",
"isActivityResolverUsed": True
}
]
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentId: '<string>',
activities: [
{
id: '<string>',
featureType: '<string>',
actionType: '<string>',
actionUser: {},
targetEntityId: '<string>',
targetSubEntityId: '<string>',
changes: {},
entityData: '<any>',
entityTargetData: '<any>',
displayMessageTemplate: '<string>',
displayMessageTemplateData: {},
actionIcon: '<string>',
isActivityResolverUsed: true
}
]
}
})
};

fetch('https://api.velt.dev/v2/activities/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": {
    "status": "success",
    "message": "Activity(s) added successfully.",
    "data": {
      "success": true,
      "message": "Activity(s) added successfully."
    }
  }
}
Use this API to create activity log records for a document within an organization.
Adding activity logs via the REST API requires activityServiceConfig to be enabled at the workspace level in the Velt Console.

Endpoint

POST https://api.velt.dev/v2/activities/add

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

Add a single activity log (non-custom featureType, targetEntityId optional)

{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "activities": [
      {
        "featureType": "comment",
        "actionType": "comment.add",
        "actionUser": {
          "userId": "user-1",
          "email": "user@example.com",
          "name": "User Name"
        },
        "displayMessageTemplate": "{{user}} added a comment"
      }
    ]
  }
}

Add an activity log with a custom ID (idempotent write)

{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "activities": [
      {
        "id": "my-custom-activity-id",
        "featureType": "comment",
        "actionType": "comment.add",
        "actionUser": {
          "userId": "user-1",
          "email": "user@example.com",
          "name": "User Name"
        },
        "targetEntityId": "annotation-789",
        "displayMessageTemplate": "{{user}} added a comment"
      }
    ]
  }
}

Add a custom featureType activity (targetEntityId required)

{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "activities": [
      {
        "featureType": "custom",
        "actionType": "statusChanged",
        "actionUser": {
          "userId": "user-1",
          "email": "user@example.com",
          "name": "User Name"
        },
        "targetEntityId": "entity-456",
        "displayMessageTemplate": "{{user}} changed the status"
      }
    ]
  }
}

Add an activity log with changes and template data

{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "activities": [
      {
        "featureType": "comment",
        "actionType": "comment.update",
        "actionUser": {
          "userId": "user-1",
          "email": "user@example.com",
          "name": "User Name"
        },
        "targetEntityId": "annotation-789",
        "targetSubEntityId": "comment-001",
        "changes": {
          "commentText": {
            "from": "Original text",
            "to": "Updated text"
          }
        },
        "displayMessageTemplate": "{{user}} updated a comment",
        "displayMessageTemplateData": {
          "user": {
            "userId": "user-1",
            "name": "User Name"
          }
        }
      }
    ]
  }
}

Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Activity(s) added successfully.",
    "data": {
      "success": true,
      "message": "Activity(s) added successfully."
    }
  }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
  "result": {
    "status": "success",
    "message": "Activity(s) added successfully.",
    "data": {
      "success": true,
      "message": "Activity(s) added successfully."
    }
  }
}